"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.flattenFilter = void 0;
/**
 * This function defines a filter which flattens an array.
 * @param array The array to be flattened.
 * @returns The flattened array.
 */
function flatten(array) {
    const newArray = [];
    for (const item of array) {
        if (Array.isArray(item))
            newArray.push(...flatten(item));
        else
            newArray.push(item);
    }
    return newArray;
}
exports.flattenFilter = {
    name: 'flatten',
    function: flatten,
};
//# sourceMappingURL=flatten.js.map