"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.typeDependenciesFilter = void 0;
const typing_1 = require("../../typings/typing");
/**
 * This function defines a filter which attempts to find the type dependencies for
 * a given schema.
 * @param schema The schema for which to find the type dependencies.
 * @returns The found type dependencies.
 */
function typeDependencies(schema, extendedSchemas = []) {
    return (0, typing_1.generateTyping)(schema, { context: extendedSchemas }).typeDependencies;
}
exports.typeDependenciesFilter = {
    name: 'typeDependencies',
    function: typeDependencies,
};
//# sourceMappingURL=typeDependencies.js.map