/**
 * This function formats the path of an operation.
 * @param path The path of the operation.
 * @param method The method of the operation.
 * @param capitalize If true, the first letter will be capitalized.
 * @returns The formatted operation path.
 */
export function formatOperation(path, method, capitalize = false) {
    const splitPath = path.replace(/\{/g, '_by_').replace(/\}/g, '').split('/');
    const formattedPath = splitPath
        .map((s) => s
        .split('_')
        .map((is) => is.charAt(0).toUpperCase() + is.slice(1))
        .join(''))
        .join('');
    const formattedMethod = capitalize
        ? method.charAt(0).toUpperCase() + method.slice(1).toLowerCase()
        : method.toLowerCase();
    return formattedMethod + formattedPath;
}
export const formatOperationFilter = {
    name: 'formatOperation',
    function: formatOperation,
};
//# sourceMappingURL=formatOperation.js.map