import { ExtendedSchema } from '../types';
import { OpenAPIV3_1 } from 'openapi-types';
/**
 * This function tries to resolve the Schemas of a given OpenAPI document.
 * @param api The OpenAPI document for which to resolve the Schemas.
 * @param isService
 * If true the UserType schema is added and method path will be used for
 * naming. Otherwise the operationId will be used for naming.
 * @returns
 * The resolved Schemas with additional properties 'x-name', 'x-standalone'
 * and 'x-location'
 */
export declare function resolveSchemas(inputApi: OpenAPIV3_1.Document, isService?: boolean): ExtendedSchema[];
//# sourceMappingURL=resolveSchemas.d.ts.map